From 0ffdf618844966c177825e7d1b523808582b322c Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Sat, 22 Jan 2022 23:03:30 +0100
Subject: porting: don't include alloca.h on NetBSD

Signed-off-by: Mike Frysinger <vapier@gentoo.org>
---
 porting.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/porting.h b/porting.h
index f1bd74f..8e5542d 100644
--- a/porting.h
+++ b/porting.h
@@ -41,7 +41,7 @@
 #include <sys/stat.h>
 #include <sys/types.h>
 #include "elf.h"
-#if !defined(__FreeBSD__) && !defined(__OpenBSD__)
+#if !defined(__FreeBSD__) && !defined(__NetBSD__) && !defined(__OpenBSD__)
 # include <alloca.h>
 #endif
 #if defined(__linux__)
-- 
cgit v1.2.3-18-g5258

